Update a notebook template entry's metadata
Update a notebook template entry's metadata
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
entry_template_id
ID of the template entry
Query parameters
returning
Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.
Note: “days.notes” cannot be introspected with the returning parameter, and any sub fields will be ignored. E.g., “days.notes.text” will return the same model as “days.notes”.
Request
This endpoint expects an object.
fields
modifiedAt
DateTime the template was last modified
name
Title of the template
schemaId
ID of the schema for the entry
templateCollectionId
ID of the collection that contains the template
Response
OK
apiURL
The canonical url of the Entry Template in the API.
createdAt
DateTime the template was created at
creator
UserSummary Resource of the user who created the template
customFields
days
Array of day objects. Each day object has a day index (integer) and notes field (array of notes, expand further for details on note types).
fields
id
ID of the entry template
modifiedAt
DateTime the template was last modified
name
Title of the template
schema
Entry schema if set
templateCollectionId
ID of the collection that contains the template
webURL
URL of the template